<?php
	class TaxaController extends TaxaModel {
		private $idCodigoTaxa;
		private $idTipoTaxa;
		private $idRegiao;
		private $idImposto;

		public function __construct($idCodigoTaxa, $idTipoTaxa, $idRegiao, $idImposto){
			$this->idCodigoTaxa = $idCodigoTaxa;
			$this->idTipoTaxa = $idTipoTaxa;
			$this->idRegiao = $idRegiao;
			$this->idImposto = $idImposto;
		}

		public function createTaxa(){
			$result = $this->insertTaxa($this->idCodigoTaxa, $this->idTipoTaxa, $this->idRegiao, $this->idImposto);
			return $result;
		}

		public function updateTaxa($idTaxa){
			$result = $this->editTaxa($idTaxa, $this->idCodigoTaxa, $this->idTipoTaxa, $this->idRegiao, $this->idImposto);
			return $result;
		}

	}